# Checkbox Component

The CIVIC platform checkbox component is built from Material UI's checkbox. It is customized to meet the needs of the CIVIC platform.

## Standard

The Standard story shows the standard usage of the Checkbox for the CIVIC platform. Checkbox includes standard styling.

These properties can be set in the Standard story:

- Label
- Disabled

These properties connect to your application state:

- value

## Custom

The Custom story shows all possible properties that can be passed to the Checkbox component for customization in the CIVIC platform. They include the properties in the Standard Checkbox story, plus:

- Label placement

## Example: Form group

This example story shows multiple checkboxes used as a group in a form. In addition to setting the props for a single checkbox, in a form group you also set values for:

- Form label
- Form helper text
- Display all in a row
- Disable group
